DIPlib Documentation - ©1995-2010 Quantitative Imaging Group, Delft University of Technology.

# MinFloat

arithmetic function

## SYNOPSIS

dip_Error dip_MinFloat ( in, out, constant )

## DATA TYPES

binary, integer, float

## FUNCTION

This function computes `out` = min(`in` , `constant`) on a pixel by pixel basis. The data types of the `in1` image and `constant` may be of different types. See Information about dyadic operations for more information about what the type of the output will be.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_float` | `constant` | Constant

## SEE ALSO

`Max`, `MaxFloat`, `Min`